------------------------------------------------------------------
--                                                              --
--  File:  CREATE_DATABASE.SQL                                  --
--         Microsoft TPC-E Benchmark Kit Ver. 1.5.1-1009        --
--         Copyright Microsoft  2007, 2008                      --
-- DS 15.4.08 - 16x SX40 SAS RAID10                             --
------------------------------------------------------------------

USE master
GO

--  create main database files
CREATE DATABASE tpce
ON PRIMARY
(	NAME		= MSSQL_tpce_root,
	FILENAME	= 'C:\MSSQL_tpce_root.mdf',
	SIZE		= 8MB,
	FILEGROWTH	= 0),
FILEGROUP	cst_fg
(	NAME		= CST1,
	FILENAME	= 'C:\jp\cst01\',
	SIZE		= 103000MB,
	FILEGROWTH	= 10),
(	NAME		= CST2,
	FILENAME	= 'C:\jp\cst02\',
	SIZE		= 103000MB,
	FILEGROWTH	= 10),
(	NAME		= CST3,
	FILENAME	= 'C:\jp\cst03\',
	SIZE		= 103000MB,
	FILEGROWTH	= 10),
(	NAME		= CST4,
	FILENAME	= 'C:\jp\cst04\',
	SIZE		= 103000MB,
	FILEGROWTH	= 10),
(	NAME		= CST5,
	FILENAME	= 'C:\jp\cst05\',
	SIZE		= 103000MB,
	FILEGROWTH	= 10),
(	NAME		= CST6,
	FILENAME	= 'C:\jp\cst06\',
	SIZE		= 103000MB,
	FILEGROWTH	= 10),
(	NAME		= CST7,
	FILENAME	= 'C:\jp\cst07\',
	SIZE		= 103000MB,
	FILEGROWTH	= 10),
(	NAME		= CST8,
	FILENAME	= 'C:\jp\cst08\',
	SIZE		= 103000MB,
	FILEGROWTH	= 10),
(	NAME		= CST9,
	FILENAME	= 'C:\jp\cst09\',
	SIZE		= 103000MB,
	FILEGROWTH	= 10),
(	NAME		= CST10,
	FILENAME	= 'C:\jp\cst10\',
	SIZE		= 103000MB,
	FILEGROWTH	= 10),
(	NAME		= CST17,
	FILENAME	= 'C:\jp\cst17\',
	SIZE		= 110500MB,
	FILEGROWTH	= 10),
(	NAME		= CST18,
	FILENAME	= 'C:\jp\cst18\',
	SIZE		= 110500MB,
	FILEGROWTH	= 10),
(	NAME		= CST19,
	FILENAME	= 'C:\jp\cst19\',
	SIZE		= 110500MB,
	FILEGROWTH	= 10),
(	NAME		= CST21,
	FILENAME	= 'C:\jp\cst21\',
	SIZE		= 110500MB,
	FILEGROWTH	= 10),
(	NAME		= CST22,
	FILENAME	= 'C:\jp\cst22\',
	SIZE		= 110500MB,
	FILEGROWTH	= 10),
(	NAME		= CST24,
	FILENAME	= 'C:\jp\cst24\',
	SIZE		= 110500MB,
	FILEGROWTH	= 10),
(	NAME		= CST25,
	FILENAME	= 'C:\jp\cst25\',
	SIZE		= 110500MB,
	FILEGROWTH	= 10),
(	NAME		= CST26,
	FILENAME	= 'C:\jp\cst26\',
	SIZE		= 110500MB,
	FILEGROWTH	= 10),
(	NAME		= CST27,
	FILENAME	= 'C:\jp\cst27\',
	SIZE		= 110500MB,
	FILEGROWTH	= 10),
(	NAME		= CST28,
	FILENAME	= 'C:\jp\cst28\',
	SIZE		= 110500MB,
	FILEGROWTH	= 10),
FILEGROUP	else_fg
(	NAME		= ELSE1,
	FILENAME	= 'C:\jp\else01\',
	SIZE		= 29000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE2,
	FILENAME	= 'C:\jp\else02\',
	SIZE		= 29000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE3,
	FILENAME	= 'C:\jp\else03\',
	SIZE		= 29000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE4,
	FILENAME	= 'C:\jp\else04\',
	SIZE		= 29000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE5,
	FILENAME	= 'C:\jp\else05\',
	SIZE		= 29000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE6,
	FILENAME	= 'C:\jp\else06\',
	SIZE		= 29000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE7,
	FILENAME	= 'C:\jp\else07\',
	SIZE		= 29000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE8,
	FILENAME	= 'C:\jp\else08\',
	SIZE		= 29000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE9,
	FILENAME	= 'C:\jp\else09\',
	SIZE		= 29000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE10,
	FILENAME	= 'C:\jp\else10\',
	SIZE		= 29000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE17,
	FILENAME	= 'C:\jp\else17\',
	SIZE		= 31000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE18,
	FILENAME	= 'C:\jp\else18\',
	SIZE		= 31000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE19,
	FILENAME	= 'C:\jp\else19\',
	SIZE		= 31000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE21,
	FILENAME	= 'C:\jp\else21\',
	SIZE		= 31000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE22,
	FILENAME	= 'C:\jp\else22\',
	SIZE		= 31000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE24,
	FILENAME	= 'C:\jp\else24\',
	SIZE		= 31000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE25,
	FILENAME	= 'C:\jp\else25\',
	SIZE		= 31000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE26,
	FILENAME	= 'C:\jp\else26\',
	SIZE		= 31000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE27,
	FILENAME	= 'C:\jp\else27\',
	SIZE		= 31000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE28,
	FILENAME	= 'C:\jp\else28\',
	SIZE		= 31000MB,
	FILEGROWTH	= 10)
LOG ON
(	NAME		= MSSQL_tpce_log,
	FILENAME	= 'L:',
	SIZE		= 300000MB,
	FILEGROWTH	= 0)
COLLATE Latin1_General_BIN
GO


